#!/bin/bash

# produce static gallery file for quick-and-dirty view of all available svg files.
# so far, this needs to be done locally and result needs to be committed manually.

galleryfile=gallery.md

if [ -e $galleryfile ]; then 
  rm $galleryfile; 
fi

echo "# Gallery" > $galleryfile

for fn in ../plots/svg/*.svg; do
  plotname=$(echo $fn | cut -d "/" -f 4)
  
  {
    echo "##### $plotname"
    echo "!["$plotname"](https://gitlab.hzdr.de/hifis/overall/kpi/kpi-plots-ci/-/jobs/artifacts/master/raw/plots/svg/"$plotname"?job=plot_general)"
    echo
  } | tee -a $galleryfile
done
